BIN = readmfg
OBJS = $(BIN).o

CFLAGS += -Wall -Werror -Wuninitialized -std=gnu99 -g
CFLAGS += -I$(STAGINGDIR)/include
CFLAGS += $(shell pkg-config --cflags libmfg)

LDFLAGS += -L$(STAGINGDIR)/lib
LDFLAGS += $(shell pkg-config --libs libmfg)

all: $(BIN)

$(BIN): $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<
	$(CC) $(CFLAGS) -MM -MP -MT '$(@) $(@:.o=.d)' -MF $(@:.o=.d) $<

clean:
	@rm -f $(BIN) readrip_blacklist_table.h
	@rm -f *.o

.PHONY: all clean
